org.apache.cayenne.access.dbsync

## Class ThrowOnPartialSchemaStrategy

- java.lang.Object
- - org.apache.cayenne.access.dbsync.BaseSchemaUpdateStrategy
  - - org.apache.cayenne.access.dbsync.ThrowOnPartialSchemaStrategy

- All Implemented Interfaces:
    SchemaUpdateStrategy
  Direct Known Subclasses:
    ThrowOnPartialOrCreateSchemaStrategy

      public class ThrowOnPartialSchemaStrategy
      extends BaseSchemaUpdateStrategy

  Since:
    3.0

- - ### Field Summary

    - ### Fields inherited from class org.apache.cayenne.access.dbsync.BaseSchemaUpdateStrategy

      `run, threadRunInProgress`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThrowOnPartialSchemaStrategy()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `processSchemaUpdate(DataNode dataNode)`
    `protected void` | `processSchemaUpdate(DataNode dataNode, List<String> mergerOnlyTable, String errorMessage, int entitiesSize)`

    - ### Methods inherited from class org.apache.cayenne.access.dbsync.BaseSchemaUpdateStrategy

      `updateSchema`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ThrowOnPartialSchemaStrategy

          public ThrowOnPartialSchemaStrategy()

  - ### Method Detail

    - #### processSchemaUpdate

          protected void processSchemaUpdate(DataNode dataNode)
                                      throws SQLException

      Specified by:
        `processSchemaUpdate` in class `BaseSchemaUpdateStrategy`
      Throws:
        `SQLException`
      Since:
        3.0

    - #### processSchemaUpdate

          protected void processSchemaUpdate(DataNode dataNode,
                                             List<String> mergerOnlyTable,
                                             String errorMessage,
                                             int entitiesSize)
                                      throws SQLException

      Throws:
        `SQLException`

Copyright © 2001–2017 Apache Cayenne. All rights reserved.